Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7423 - The file /usr/include/rpm/rpmlib.h is not correct
Summary: The file /usr/include/rpm/rpmlib.h is not correct
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-29 22:31 UTC by bpinaud
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-30 13:26:54 UTC


Attachments (Terms of Use)

Description bpinaud 1999-11-29 22:31:11 UTC
On my frech install of the RH6.1, the file beginning of the file
/usr/include/rpm/rpmlib.h is :

...
#include <rpmio.h>
#include <dbindex.h>
#include <header.h>
#include <popt.h>

and it should be

...
#include <rpm/rpmio.h>
#include <rpm/dbindex.h>
#include <rpm/header.h>
#include <popt.h>

because gcc said said that it could not find rpmio.h, dbindex.h and
header.h

Comment 1 Jeff Johnson 1999-11-30 13:26:59 UTC
Add -I/usr/include/rpm to your CFLAGS.

Comment 2 Kuszmaul, Bradley 2001-06-19 18:56:13 UTC
I believe that this is still a bug.  The maximum rpm book says to write
 #include <rpm/rpmlib.h>
but then the header files don't work unless I write -I/usr/include/rpm in which
case I could have written
 #include <rpmlib.h>

And what if I am writing something that wants to use another package that has a
header.h file in its include path somewhere.  (E.g. /usr/include/pci/header.h)
In that case I could end up with a collision.


Note You need to log in before you can comment on or make changes to this bug.